mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ICloneable System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

The class contains information about an operating system. For example, the property returns information about the currently executing operating system in an object.

By design, the class is not a general purpose means of describing an operating system, and you cannot derive a more inclusive type from the class. If you need a type to contain other information about an operating system, create your own type, then include a field of type and any additional fields, properties, or methods you require.

Represents information about an operating system, such as the version and platform identifier. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  using System;

  class SystemDemo { public static void Main(string[] args) { OperatingSystem o=new OperatingSystem(PlatformID.Win32NT,new Version(5,1,2600,0)); Console.WriteLine(o); } }
  prints

  Microsoft Windows NT 5.1.2600.0

  Initializes a new instance of the class, using the specified platform identifier value and version object.

  One of the values that indicates the operating system platform.
  A object that indicates the version of the operating system.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Creates an object that is identical to this instance.

  An object that is a copy of this instance.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The parameter is reserved for future use; it is currently not implemented in the method.

  For more information, see the method.

  Populates a object with the data necessary to deserialize this instance.

  The object to populate with serialization information. The place to store and retrieve serialized data. Reserved for future use.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.PlatformID To be added: an object of type 'PlatformID' To be added

  Gets a enumeration value that identifies the operating system platform.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  A service pack is used to distribute software updates for the operating system on which it is installed. However, not every operating system uses service packs.

  The service pack version, if available, is already correctly formatted for display.

  Gets the service pack version represented by this object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Converts the value of this object to its equivalent string representation.

  The string representation of the values returned by the , , and properties.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Version To be added: an object of type 'Version'

  See Operating System Version on the Windows Dev Center for a list of Windows operating system versions and their corresponding version numbers.

  Gets a object that identifies the operating system.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  By default, the value returned by is the same as the value returned by the method. However, an implementation of the .NET Framework for a different platform might return a more appropriate string for that platform.

  Gets the concatenated string representation of the platform identifier, version, and service pack that are currently installed on the operating system.